# norootforbuild

Name: as296-tty
Summary: Driver for the AATIS as296 USB-modem
Version: 0.1.6
Release: lp152.6.2
License: GPL
Group: Productivity/Hamradio/Packet
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
#Patch:	%{name}-%{version}.diff
Packager: DL9PF  <dl9pf@gmx.de>
Distribution: %distribution
Prefix: /usr
AutoReqProv: on
Url: http://www.tu-chemnitz.de/stud/freizeit/amateurfunk/as296/
#Vendor: Yourvendor <if needed>

# Build dependency requirements
##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version} <= 1020
BuildRequires:  gcc libax25-devel libusb ax25-tools
%endif

%if 0%{?suse_version} == 1030
BuildRequires:  gcc libax25-devel libusb ax25-tools libusb-devel
%endif

%if 0%{?suse_version} == 1100
BuildRequires:  gcc libax25-devel libusb ax25-tools libusb-devel
%endif

%if 0%{?suse_version} >= 1110
BuildRequires:  gcc libax25-devel ax25-tools libusb-compat-devel
%endif



#%if 0%{?suse_version} == 1020
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1010
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1000
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 930
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 10
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 9
#BuildRequires:  
#%endif

##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
BuildRequires:  
%endif


#%if 0%{?fedora_version} == 4
#BuildRequires:  
#%endif
#%if 0%{?fedora_version} == 5 
#BuildRequires:  
#%endif
#%if 0%{?fedora_version} == 6
#BuildRequires:  
#%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
BuildRequires:  
%endif


#%if 0%{?mandriva_version} == 2006
#BuildRequires:  
#%endif
#%if 0%{?mandriva_version} == 2007
#BuildRequires:  
#%endif

%description
Driver and start script for the AATIS as296 USB-modem




%prep

%setup -q
mkdir examples || true
mv start.sh examples || true
mv stop.sh examples || true


#%patch -p1

%build
#%#configure --target=x86_64
make clean || true
make

%install
#make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin/ || true
cp usb-as296-to-tty-d $RPM_BUILD_ROOT/%{prefix}/bin/

%post
#Copy the default apache config to the correct directory

##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
%endif
##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root,0755)
%{prefix}/bin/*
#%{prefix}/share/%{name}
#%{prefix}/etc/
#%{prefix}/share/man/man1/
%doc Changelog.txt Quickstart_de.txt examples/ TODO deutsch/ english/

%changelog
* Sat Oct 04 2008 - dl9pf@gmx.de
- fix build for factory
